The Encrypt library requires the Mcrypt extension

Kenapa dengan judul diatas, itu salah satu error codeigniter, dimana php tidak mensupport Mcrypt extension

Tambahin repository ppa

sudo add-apt-repository ppa:ondrej/php

Jalankan

apt-get install php5-mcrypt

 

atau setting di sisi codeigniternya
| $autoload[‘libraries’] = array(‘database’, ’email’,’session’);
|
| You can also supply an alternative library name to be assigned
| in the controller:
|
| $autoload[‘libraries’] = array(‘user_agent’ => ‘ua’);
*/
$autoload[‘libraries’] = array(‘session’,’page’,’user_agent’,’form_validation’,’upload’,’database’);

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google+ photo

You are commenting using your Google+ account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s